Page MenuHomePhabricator

Growing the MediaWiki Technical Community additional topics
Closed, ResolvedPublic

Description

This is for followup items that were not primary topics at T183318: Wikimedia Developer Summit 2018 Topic: Growing the MediaWiki Technical Community

  • Barriers to third-party use (Cicalese, Glaser)
    • Installability for third parties (replacing shared hosting, trying it out quickly, etc.)
  • On wiki scripts (Müller)
    • Code review of on-wiki code
    • Global gadget repository (Glaser)
    • “Store” showing what is maintained
    • Get more people writing Lua (Spekking)
  • Documentation
    • Security (Reed)
    • Q&A (Shorland)
    • Better interface/docs/”store” showing status of each extension (maintenance level, (automated) quality checks, etc.) (Cicalese, Glaser)
  • More effective feedback from users, on and off WMF sites (Müller)
  • Entry-points (Müller, Shorland, Glaser), mentoring, appreciation and person-to-person communication (Kramer, Schubotz)
  • Outreach to individuals who might be interested in joining the tech community, especially in underrepresented regions

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 23 2018, 5:32 PM
Mattflaschen-WMF renamed this task from Growing the MediaWiki Technical Community followup to Growing the MediaWiki Technical Community additional topics.Jan 29 2018, 11:12 PM

Which actions are supposed to happen in this stray task, and by who?
I currently fail to see how this task is useful.

  • Barriers to third-party use (Cicalese, Glaser)
    • Installability for third parties (replacing shared hosting, trying it out quickly, etc.)

Are there specific tasks about this?

  • On wiki scripts (Müller)
    • Code review of on-wiki code

T165981: Implement a prototype JavaScript review system for MediaWiki ?

  • Global gadget repository (Glaser)

T121470: Central Global Repository for Templates, Lua modules, and Gadgets ?

  • “Store” showing what is maintained

T173544: High quality extension levels tagging ?

    • Get more people writing Lua (Spekking)
  • Documentation
    • Security (Reed)
    • Q&A (Shorland)
    • Better interface/docs/”store” showing status of each extension (maintenance level, (automated) quality checks, etc.) (Cicalese, Glaser)

T173544: High quality extension levels tagging ?

  • More effective feedback from users, on and off WMF sites (Müller)
  • Entry-points (Müller, Shorland, Glaser), mentoring, appreciation and person-to-person communication (Kramer, Schubotz)
  • Outreach to individuals who might be interested in joining the tech community, especially in underrepresented regions

Which actions are supposed to happen in this stray task, and by who?

I'm tempted to close this task as I currently don't see how it is useful.

CC'ing the aforementioned names, in case folks plan to create dedicated tasks (if not existing yet):
@CCicalese_WMF @Bmueller @Mglaser @Raymond @Addshore @MelodyKramer @Physikerwelt
See my previous comment.

Aklapper closed this task as Resolved.Oct 29 2018, 8:15 AM

No replies from anybody. So I'm closing this.